/*******************************************************************************
Copyright © 2023 Sebastian Roith <https://www.roith-unterrichtet.de>

Licensed under CC BY 4.0. To view a copy of this license, visit http://creativecommons.org/licenses/by/4.0/
*******************************************************************************/

window.CODINGTASK = {
	"heading": "Auftrag",
	"html": "<p>Schreibe die Klassendefinition der durch die Klassenkarte beschriebenen Klasse:</p><figure style=\"text-align:center;padding:0;margin:0\"><svg width=\"122.5mm\" height=\"79.5mm\" version=\"1.1\" viewBox=\"0 0 245 159\" xmlns=\"http://www.w3.org/2000/svg\" style=\"height:auto;max-width:100%\"><defs><style><![CDATA[text{font-weight:bold;font-size:11;font-family:'Courier New',monospace}]]></style></defs><path d=\"m244.5 0.5v158h-244v-158z\" fill=\"#fff\" stroke=\"#000\"/><text x=\"97\" y=\"18.5\"><tspan x=\"97 105.5 114 122.5 131 139.5\" y=\"18.5\" fill=\"#a40000\">WECKER</tspan></text><line x2=\"244\" y1=\"30.5\" y2=\"30.5\" stroke=\"#000\"/><text x=\"3.5\" y=\"48.5\"><tspan x=\"3.5 12 20.5 29 37.5 46 54.5 63 71.5 80 88.5 97 105.5 114 122.5\" y=\"48.5\" fill=\"#204a87\">weckzeit<tspan style=\"fill:#2e3436\">:</tspan> <tspan style=\"fill:#a40000\">short</tspan></tspan></text><text x=\"3.5\" y=\"63.5\"><tspan x=\"3.5 12 20.5 29 37.5 46 54.5 63 71.5 80 88.5 97 105.5 114\" y=\"63.5\" fill=\"#204a87\">weckton<tspan style=\"fill:#2e3436\">:</tspan> <tspan style=\"fill:#a40000\">AUDIO</tspan></tspan></text><line x2=\"244\" y1=\"75.5\" y2=\"75.5\" stroke=\"#000\"/><text x=\"3.5\" y=\"93.5\"><tspan x=\"3.5 12 20.5 29 37.5 46 54.5 63 71.5 80 88.5\" y=\"93.5\" fill=\"#5c3566\">neueUhrzeit</tspan></text><text x=\"97\" y=\"93.5\"><tspan x=\"97\" y=\"93.5\" fill=\"#2e3426\">(</tspan></text><text x=\"105.5\" y=\"93.5\"><tspan x=\"105.5 114 122.5 131 139.5 148 156.5 165 173.5 182 190.5\" y=\"93.5\" fill=\"#204a87\">zeit<tspan style=\"fill:#2e3436\">:</tspan> <tspan style=\"fill:#a40000\">short</tspan></tspan></text><text x=\"199\" y=\"93.5\"><tspan x=\"199\" y=\"93.5\" fill=\"#2e3426\">)</tspan></text><text x=\"3.5\" y=\"108.5\"><tspan x=\"3.5 12 20.5 29 37.5 46\" y=\"108.5\" fill=\"#5c3566\">snooze</tspan></text><text x=\"54.5\" y=\"108.5\"><tspan x=\"54.5\" y=\"108.5\" fill=\"#2e3426\">(</tspan></text><text x=\"63\" y=\"108.5\"><tspan x=\"\" y=\"108.5\" fill=\"#204a87\"/></text><text x=\"63\" y=\"108.5\"><tspan x=\"63 71.5 80 88.5 97 105.5 114 122.5\" y=\"108.5\" fill=\"#2e3426\">): <tspan style=\"fill:#a40000\">short</tspan></tspan></text><text x=\"3.5\" y=\"123.5\"><tspan x=\"3.5 12 20.5 29 37.5 46 54.5 63 71.5 80 88.5\" y=\"123.5\" fill=\"#5c3566\">einschalten</tspan></text><text x=\"97\" y=\"123.5\"><tspan x=\"97\" y=\"123.5\" fill=\"#2e3426\">(</tspan></text><text x=\"105.5\" y=\"123.5\"><tspan x=\"105.5 114 122.5 131 139.5 148 156.5 165 173.5 182 190.5 199 207.5 216 224.5\" y=\"123.5\" fill=\"#204a87\">weckzeit<tspan style=\"fill:#2e3436\">:</tspan> <tspan style=\"fill:#a40000\">short</tspan></tspan></text><text x=\"233\" y=\"123.5\"><tspan x=\"233\" y=\"123.5\" fill=\"#2e3426\">)</tspan></text><text x=\"3.5\" y=\"138.5\"><tspan x=\"3.5 12 20.5 29 37.5 46 54.5 63 71.5 80 88.5\" y=\"138.5\" fill=\"#5c3566\">ausschalten</tspan></text><text x=\"97\" y=\"138.5\"><tspan x=\"97\" y=\"138.5\" fill=\"#2e3426\">(</tspan></text><text x=\"105.5\" y=\"138.5\"><tspan x=\"\" y=\"138.5\" fill=\"#204a87\"/></text><text x=\"105.5\" y=\"138.5\"><tspan x=\"105.5\" y=\"138.5\" fill=\"#2e3426\">)</tspan></text><text x=\"3.5\" y=\"153.5\"><tspan x=\"3.5 12 20.5 29 37.5 46\" y=\"153.5\" fill=\"#5c3566\">istEin</tspan></text><text x=\"54.5\" y=\"153.5\"><tspan x=\"54.5\" y=\"153.5\" fill=\"#2e3426\">(</tspan></text><text x=\"63\" y=\"153.5\"><tspan x=\"\" y=\"153.5\" fill=\"#204a87\"/></text><text x=\"63\" y=\"153.5\"><tspan x=\"63 71.5 80 88.5 97 105.5 114 122.5 131 139.5\" y=\"153.5\" fill=\"#2e3426\">): <tspan style=\"fill:#a40000\">boolean</tspan></tspan></text></svg></figure><p>Sofern es Rückgabewerte gibt, ist deren Datentyp angegeben. Die innere Sequenz von Methoden kann weggelassen werden (wird ohnehin nicht geprüft).</p>",
	"code": "// Hier Klassendefinition eingeben\n",
	"canReset": false,
	"labelSubmit": "📥 Klassendefinition überprüfen",
	"checkType": "json",
	"checkData": [
		{
			"part": "class",
			"name": "WECKER",
			"extends": "Object",
			"implements": [],
			"abstract": false,
			"final": false,
			"static": false,
			"content": [
				{
					"part": "attribute",
					"name": "weckzeit",
					"type": "short",
					"dimensions": 0,
					"static": false
				},
				{
					"part": "attribute",
					"name": "weckton",
					"type": "AUDIO",
					"dimensions": 0,
					"static": false
				},
				{
					"part": "method",
					"name": "neueUhrzeit",
					"type": "void",
					"dimensions": 0,
					"static": false,
					"abstract": false,
					"params": [
						{
							"part": "variable",
							"name": "zeit",
							"type": "short",
							"dimensions": 0
						}
					]
				},
				{
					"part": "method",
					"name": "snooze",
					"type": "short",
					"dimensions": 0,
					"static": false,
					"abstract": false,
					"params": []
				},
				{
					"part": "method",
					"name": "einschalten",
					"type": "void",
					"dimensions": 0,
					"static": false,
					"abstract": false,
					"params": [
						{
							"part": "variable",
							"name": "weckzeit",
							"type": "short",
							"dimensions": 0
						}
					]
				},
				{
					"part": "method",
					"name": "ausschalten",
					"type": "void",
					"dimensions": 0,
					"static": false,
					"abstract": false,
					"params": []
				},
				{
					"part": "method",
					"name": "istEin",
					"type": "boolean",
					"dimensions": 0,
					"static": false,
					"abstract": false,
					"params": []
				}
			]
		}
	]
}
